net.sf.jasperreports.components.table.fill

## Class FillExpressionEvaluatorDatasetAdapter

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.FillExpressionEvaluatorDatasetAdapter

- All Implemented Interfaces:
    DatasetExpressionEvaluator

      public class FillExpressionEvaluatorDatasetAdapter
      extends java.lang.Object
      implements DatasetExpressionEvaluator

  Version:
    $Id: FillExpressionEvaluatorDatasetAdapter.java 6451 2013-08-30 11:20:08Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillExpressionEvaluatorDatasetAdapter(JRFillExpressionEvaluator evaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(JRExpression expression)`
    `java.lang.Object` | `evaluateEstimated(JRExpression expression)`
    `java.lang.Object` | `evaluateOld(JRExpression expression)`
    `void` | `init(java.util.Map<java.lang.String,JRFillParameter> parametersMap, java.util.Map<java.lang.String,JRFillField> fieldsMap, java.util.Map<java.lang.String,JRFillVariable> variablesMap, WhenResourceMissingTypeEnum resourceMissingType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillExpressionEvaluatorDatasetAdapter

          public FillExpressionEvaluatorDatasetAdapter(JRFillExpressionEvaluator evaluator)

  - ### Method Detail

    - #### init

          public void init(java.util.Map<java.lang.String,JRFillParameter> parametersMap,
                  java.util.Map<java.lang.String,JRFillField> fieldsMap,
                  java.util.Map<java.lang.String,JRFillVariable> variablesMap,
                  WhenResourceMissingTypeEnum resourceMissingType)
                    throws JRException

      Specified by:
        `init` in interface `DatasetExpressionEvaluator`
      Throws:
        `JRException`

    - #### evaluate

          public java.lang.Object evaluate(JRExpression expression)
                                    throws JRExpressionEvalException

      Specified by:
        `evaluate` in interface `DatasetExpressionEvaluator`
      Throws:
        `JRExpressionEvalException`

    - #### evaluateOld

          public java.lang.Object evaluateOld(JRExpression expression)
                                       throws JRExpressionEvalException

      Specified by:
        `evaluateOld` in interface `DatasetExpressionEvaluator`
      Throws:
        `JRExpressionEvalException`

    - #### evaluateEstimated

          public java.lang.Object evaluateEstimated(JRExpression expression)
                                             throws JRExpressionEvalException

      Specified by:
        `evaluateEstimated` in interface `DatasetExpressionEvaluator`
      Throws:
        `JRExpressionEvalException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com